# How to contribute to this project

## Did you find a bug?

* **Do not open up a GitHub issue if the bug is a security vulnerability in FACT-Finder-Web-Components Magento2-Module.** Please forward your vulnerability findings to [Ronny Scheffelmeier](mailto:ronny.scheffelmeier@omikron.net).
* **Ensure the bug was not already reported** by searching on GitHub under [Issues](https://github.com/FACT-Finder-Web-Components/magento2-module/issues).
* If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/FACT-Finder-Web-Components/magento2-module/issues/new). Be sure to include all relevant information just by filling the report template.

## Did you write a patch that fixes a bug?

* Open a new GitHub pull request with the patch.
* Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable just by filling the PR template.
* Before submitting, please make sure you follow all common coding guidelines and in case of new features a basic test coverage is given.

## Did you fix whitespace, format code, or make a purely cosmetic patch?

* Changes that are cosmetic in nature and do not add anything substantial to the stability, functionality, or testability
  of the FACT-Finder-Web-Components Magento2-Module will usually not be accepted.

## Do you intend to add a new feature or change an existing one?

* Create first an issue and then start coding to contribute via a PR.

## Do you have questions about the source code?

* Ask your question via an issue which is prefixed with `question` in the title.

Thanks!  
Your FACT-Finder-Web-Components Team
